# Uses of Class
org.eclipse.microprofile.rest.client.RestClientDefinitionException

Packages that use RestClientDefinitionException
Package
Description
org.eclipse.microprofile.rest.client
APIs for building a type-safe RESTful client leveraging existing Jakarta RESTful Web Services APIs, for example:

## Uses of RestClientDefinitionException in org.eclipse.microprofile.rest.client

Methods in org.eclipse.microprofile.rest.client that throw RestClientDefinitionException
Modifier and Type
Method
Description
`<T> T`
RestClientBuilder.`build(Class<T> clazz)`
Based on the configured RestClientBuilder, creates a new instance of the given REST interface to invoke API calls against.